evbuffer_cb_info(3)

NAME
evbuffer_cb_info - Structure passed to an evbuffer_cb_func evbuffer callback.

SYNOPSIS

#include <buffer.h>

  Data Fields
size_t n_added
The number of bytes added since callbacks were last invoked.
size_t n_deleted
The number of bytes removed since callbacks were last invoked.
size_t orig_size
The number of bytes in this evbuffer when callbacks were last invoked.

Detailed Description

Structure passed to an evbuffer_cb_func evbuffer callback.

See also:
    evbuffer_cb_func, evbuffer_add_cb()

Field Documentation

  size_t evbuffer_cb_info::n_added

The number of bytes added since callbacks were last invoked.

  size_t evbuffer_cb_info::n_deleted

The number of bytes removed since callbacks were last invoked.

  size_t evbuffer_cb_info::orig_size

The number of bytes in this evbuffer when callbacks were last invoked.

Author

Generated automatically by Doxygen for libevent from the source code.